Bug 861664 - f16 when using a 3G Modem (Huawei E173s-6) disconnecting makes it not possible to reconnect (workaround: unplug and re-plug the 3G Modem)
f16 when using a 3G Modem (Huawei E173s-6) disconnecting makes it not possibl...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
16
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-29 16:53 EDT by Reartes Guillermo
Modified: 2013-02-13 08:57 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 08:57:10 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
f16 messages example #1 (137.06 KB, application/octet-stream)
2012-09-29 16:53 EDT, Reartes Guillermo
no flags Details
f16 dmesg from example #1 (77.17 KB, text/plain)
2012-09-29 16:54 EDT, Reartes Guillermo
no flags Details

  None (edit)
Description Reartes Guillermo 2012-09-29 16:53:04 EDT
Created attachment 619202 [details]
f16 messages example #1

Description of problem:

Once a connection is established with the 3G Modem, if one closes it (disconnection) on cannot connect back unless the modem is unplugged and re-plugged. The modem is still there but it is unable to reconnect.

Version-Release number of selected component (if applicable):

kernel: 3.4.11-1.fc16.x86_64
NetworkManager.x86_64         1:0.9.4-6.git20120521.fc16  @updates     
NetworkManager-glib.x86_64    1:0.9.4-6.git20120521.fc16  @updates
NetworkManager-openvpn.x86_64 1:0.9.0-1.fc16  @koji-override-0/$releasever
NetworkManager-pptp.x86_64    1:0.9.0-1.fc16  @koji-override-0/$releasever
NetworkManager-vpnc.x86_64    1:0.9.0-1.fc16  @koji-override-0/$releasever

How reproducible:
always

Steps to Reproduce:
1. plug the modem
2. connect
3. disconnect
4. cannot connect
  
Actual results:

Unable to reconnect and on the logs this is seen:
GSM connection failed: (32) Sending command failed: device is not enabled

Expected results:
to be able to reconnect without removing the modem.

Additional info:

Bug 799647 (f16 udisks-daemon[1447] trap int3 ip:3fe2c4d313 sp:7fff7ee9c5a0 error:0) was filled be me some time ago, that happens sometimes when unplugging the modem, so this should not have any effect on this issue since it happens before the first time the device is unplugged from the usb port.
Comment 1 Reartes Guillermo 2012-09-29 16:54:12 EDT
Created attachment 619203 [details]
f16 dmesg from example #1

'plug' means to plug the 3G Modem on the usb port #1

boot
plug
connect
disconnect
re-connect 'fails'
re-connect 'fails'
re-connect 'fails'
unplug
plug
connect
disconnect
re-connect 'fails'
re-connect 'fails'
re-connect 'fails'
unplug
Comment 2 Fedora End Of Life 2013-01-16 08:14:55 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Fedora End Of Life 2013-02-13 08:57:12 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.